This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 79243 - usage of deprecated rpm commands in python distutils
usage of deprecated rpm commands in python distutils
Status: CLOSED DUPLICATE of bug 75304
Product: Red Hat Linux
Classification: Retired
Component: python2 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-08 09:32 EST by Joachim Metz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-08 09:32:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Metz 2002-12-08 09:32:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
the file /usr/lib/python2.2/distutils/command/bdist_rpm.py still uses the 'rpm'
command (-ba, -bb, etc) to build RPMS. This should be rpmbuild in RedHat 8.0 (to
my knowledge).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to build numpy (http://sourceforge.net/projects/numpy). After unpacking:
python setup.py bdist_rpm --release="i386".

Actual Results:  1. It will fail attempting to run "rpm -ba ..."

Expected Results:  It should have run "rpmbuild -ba ..."

Additional info:

Changing 'rpm' to 'rpmbuild' in
/usr/lib/python2.2/distutils/command/bdist_rpm.py at line 284 solves the problem.
Comment 1 Mihai Ibanescu 2002-12-08 12:42:22 EST

*** This bug has been marked as a duplicate of 75304 ***

Note You need to log in before you can comment on or make changes to this bug.